{
  "name": "{{ agave.appsPrefix }}-cecret-nextflow-app",
  "version": "0.1",
  "label": "This app runs the Cecret Nextflow workflow using Singularity",
  "defaultNodeCount": 1,
  "defaultMemoryPerNode": 1,
  "defaultProcessorsPerNode": 1,
  "executionType": "HPC",
  "parallelism": "SERIAL",
  "checkpointable": false,
  "executionSystem": "{{ agave.executionSystem }}",
  "deploymentPath": "{{ agave.appsDir }}/cecret-nextflow-app-0.1",
  "deploymentSystem": "{{ agave.deploymentSystem }}",
  "templatePath": "cecret-nextflow-app.sh",
  "testPath": "test/test.sh",
  "inputs": [
    { "id": "sequencing_files",
      "value": {
        "required": true,
        "default": ""
      }
    }
  ],
  "parameters": [
    { "id": "kraken2_db",
      "value": {
        "required": false,
        "default": "${SCRIPT_DIR}/kraken2",
        "type": "string"
      }
    },
    { "id": "output",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "exec_method",
      "value": {
        "required": false,
        "default": "auto",
        "type": "string"
      }
    },
    { "id": "exec_init",
      "value": {
        "required": false,
        "default": ":",
        "type": "string"
      }
    }
  ]
}